indexing

	description: "CGI key=value pairs."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #1 $"

class

	EPX_KEY_VALUE


creation

	make


feature -- Initialization

	make (a_key, a_value: STRING) is
		require
			has_key: a_key /= Void and then not a_key.is_empty
			has_value: a_value /= Void
		do
			key := a_key
			if a_value = Void then
				create value.make (0)
			else
				value := a_value
			end
		end


feature -- State

	key: STRING
			-- Name of variable.

	value: STRING
			-- Its value.
			-- If input type is file, this is the filename as seen by the
			-- user.

	file: STDC_FILE
			-- Optional, valid for input type file, gives access to file
			-- as saved on server disk.
			-- File is temporary, and removed when program shuts down.


feature -- Change state

	set_file (a_file: STDC_FILE) is
		require
			valid_file: a_file /= Void and then a_file.is_open
		do
			file := a_file
		end


invariant

	has_key: key /= Void and then not key.is_empty
	has_value: value /= Void
	valid_file: file /= Void implies not value.is_empty

end
