indexing

	description: "Body that contains text. Either saved in memory or in file."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #1 $"


deferred class

	EPX_MIME_BODY_TEXT


inherit

	EPX_MIME_BODY


feature -- Queries

	as_string: STRING is
			-- Return value as STRING. Can be an expensive operation.
		deferred
		ensure
			result_not_void: Result /= Void
		end

	is_multipart: BOOLEAN is
		do
			Result := False
		end

	parts_count: INTEGER is 0
		-- The number of parts if is_multipart.

	part (index: INTEGER): EPX_MIME_PART is
			-- Part number `index' if this is a multipart body.
		do
			-- Do nothing.
		end


feature -- Commands

	append_character (c: CHARACTER) is
			-- Extend value with `c' somehow.
		deferred
		end

	append_string (s: STRING) is
			-- Extend value with `s' somehow.
		require
			s_not_void: s /= Void
		deferred
		end

	finish is
			-- Called when body reading is finished.
		deferred
		end


end
